Implement CN_crud.resolve method

2010-06-15 02:02 - Robert Waltz

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-0.4   

Story Points:    

Description

(cn_api_crud.html#CN_crud.resolve)

Query metacat for objects of type systemmetadata where identifier = ID, then parse system metadata to extract object location

(which MNs), construct response object and return to client

History

#1 - 2010-06-15 03:58 - Matthew Jones

Note that no querying is necessary -- you should be able to just call Metacat's getSystemMetadata(Identifier) method to get the SystemMetadata

object back, and then this java object should already have accessors for the replica locations.

#2 - 2010-08-12 20:47 - Rob Nahf

implementation is working for xml data.  Implementations for json and csv are roughed out, but not tested.  The rest of the implementation will be

under new tickets.

#3 - 2010-08-12 20:48 - Rob Nahf

- Status changed from New to Closed
